EDIT - bug #7547

ToManyRelatedEntitiesComboboxSelect buttons enabled even if the containig editor is readOnly
07/11/2018 01:13 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.2

Severity: normal Found in Version:

Description

see this screenshot for example:

With basionym

With replaced synonym
Validation

Genus

Belis

Specific epithet

primitivum

Hint: Edit nomenclatural authors in the nomenclatural reference.
Selection limited to nomenclatural reference and sections Reference detail

Alfa, A in Algol. Stud. 92; 122,

Basionym

Achnanthes averiacoo A.A.Gontsch.

Replaced synonyms

Achnantheiopsis boreclanceclata Lange-Bert.

Validation

Validated name

hnanthes austriaca Hust.

Reference Reference detail
International Code of Momenclature for algae, fungi and plants (Melbourm

Rule considered

Related issues:
Related to EDIT - bug #7554: TeamOrPersonField: removing existing team and ad... Closed

Associated revisions

Revision 8a1add90 - 07/11/2018 01:31 PM - Andreas Kohlbecker
fix #7547 ToManyRelatedEntitiesListSelect buttons adapt to component readonlystate

Revision 9¢d8700e - 07/18/2018 04:29 PM - Andreas Kohlbecker

ref #7547 ref #7554 list entry buttons enablement uses sharedState.readonly and ignores datasource readonly

History

#1 - 07/11/2018 01:31 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|8a1add900{82f756d5df22205144a50b0decalcb.

#2 - 07/11/2018 01:31 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

fixed!

#3 - 07/18/2018 04:14 PM - Andreas Kohlbecker

- Related to bug #7554: TeamOrPersonField: removing existing team and adding new team leaves nested components buttons in disabled state

added

#4 - 07/18/2018 04:16 PM - Andreas Kohlbecker

the changes for this ticket cause other problems: #7554
